#include <iostream>
using namespace std;
long double a[200000],p[200000];
int main(){
	ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    double N,max=0,trenut=0;
    cin>>N;
    for(int i=0;i<N;i++)cin>>a[i]>>p[i];
    for(int i=0;i<N;i++){
    	if(trenut>=max){
		max=trenut;
		max*=p[i];
	}
    	trenut=0;
    	for(int j=0;j<N;j++)if(p[i]>=p[j])trenut+=a[i];
    }
    cout<<max<<endl;
    
    return 0;
}